<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="empresa">
      <h2 data-cy="empresaDetailsHeading"><span jhiTranslate="nextLevelApp.empresa.detail.title">Empresa</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ empresa.id }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.empresa.nome">Nome</span></dt>
        <dd>
          <span>{{ empresa.nome }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.empresa.regiao">Regiao</span></dt>
        <dd>
          <span>{{ empresa.regiao }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.empresa.nicho">Nicho</span></dt>
        <dd>
          <span>{{ empresa.nicho }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.empresa.site">Site</span></dt>
        <dd>
          <span>{{ empresa.site }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.empresa.user">User</span></dt>
        <dd>
          <span>{{ empresa.user?.id }}</span>
        </dd>
        <dt><span jhiTranslate="nextLevelApp.empresa.influenciador">Influenciador</span></dt>
        <dd>
          <span *ngFor="let influenciador of empresa.influenciadors; let last = last">
            <a [routerLink]="['/influenciador', influenciador?.id, 'view']">{{ influenciador.nome }}</a
            >{{ last ? '' : ', ' }}
          </span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <!-- <button type="button" [routerLink]="['/empresa', empresa.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button> -->
    </div>
  </div>
</div>

<style type="text/css">
  .justify-content-center {
    width: auto;
    background: linear-gradient(0deg, rgba(59, 59, 59, 0.9), transparent);
    margin-top: 40px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding-top: 4px;
    padding-bottom: 4px;
    border-radius: 10px;
    padding: 4%;
  }
</style>
